org.jboss.jca.as.converters

## Enum NoTxDataSource.Tag

- java.lang.Object
- - java.lang.Enum<NoTxDataSource.Tag>
  - - org.jboss.jca.as.converters.NoTxDataSource.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NoTxDataSource.Tag>
  Enclosing interface:
    NoTxDataSource

      public static enum NoTxDataSource.Tag
      extends java.lang.Enum<NoTxDataSource.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOCATION_RETRY` allocationRetry tag
    `ALLOCATION_RETRY_WAIT_MILLIS` allocationRetryWaitMillis tag
    `BACKGROUND_VALIDATION` backgroundValidation tag
    `BACKGROUND_VALIDATION_MILLIS` backgroundValidationMillis tag
    `BLOCKING_TIMEOUT_MILLIS` blockingTimeoutMillis tag
    `CHECK_VALID_CONNECTION_SQL` checkValidConnectionSql tag
    `CONNECTION_PROPERTY` connectionProperty tag
    `CONNECTION_URL` connection-url tag
    `DRIVER_CLASS` driverClass tag
    `EXCEPTION_SORTER` exceptionSorterClassName tag
    `IDLE_TIMEOUT_MINUTES` idleTimeoutMinutes tag
    `JNDI_NAME` jndiName tag
    `MAX_POOL_SIZE` maxPoolSize tag
    `MIN_POOL_SIZE` min-pool-size tag
    `NEW_CONNECTION_SQL` newConnectionSql tag
    `PASSWORD` password tag
    `PREFILL` prefill tag
    `PREPARED_STATEMENT_CACHE_SIZE` preparedStatementCacheSize tag
    `QUERY_TIMEOUT` queryTimeout tag
    `SECURITY_DOMAIN` security-domain tag
    `SECURITY_DOMAIN_AND_APPLICATION` security-domain-and-application tag
    `SET_TX_QUERY_TIMEOUT` setTxQueryTimeout tag
    `SHARE_PREPARED_STATEMENTS` sharePreparedStatements tag
    `STALE_CONNECTION_CHECKER` staleConnectionCheckerClassName tag
    `TRACK_STATEMENTS` trackStatements tag
    `UNKNOWN` always first
    `URL_DELIMITER` urlDelimiter tag
    `URL_SELECTOR_STRATEGY_CLASS_NAME` urlSelectorStrategyClassName tag
    `USE_FAST_FAIL` useFastFail tag
    `USE_JAVA_CONTEXT` use-java-context tag
    `USE_TRY_LOCK` useTryLock tag
    `USER_NAME` userName tag
    `VALID_CONNECTION_CHECKER` validConnectionCheckerClassName tag
    `VALIDATE_ON_MATCH` validateOnMatch tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NoTxDataSource.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static NoTxDataSource.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NoTxDataSource.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final NoTxDataSource.Tag UNKNOWN

      always first

    - #### CONNECTION_URL

          public static final NoTxDataSource.Tag CONNECTION_URL

      connection-url tag

    - #### DRIVER_CLASS

          public static final NoTxDataSource.Tag DRIVER_CLASS

      driverClass tag

    - #### CONNECTION_PROPERTY

          public static final NoTxDataSource.Tag CONNECTION_PROPERTY

      connectionProperty tag

    - #### JNDI_NAME

          public static final NoTxDataSource.Tag JNDI_NAME

      jndiName tag

    - #### USE_JAVA_CONTEXT

          public static final NoTxDataSource.Tag USE_JAVA_CONTEXT

      use-java-context tag

    - #### URL_DELIMITER

          public static final NoTxDataSource.Tag URL_DELIMITER

      urlDelimiter tag

    - #### URL_SELECTOR_STRATEGY_CLASS_NAME

          public static final NoTxDataSource.Tag URL_SELECTOR_STRATEGY_CLASS_NAME

      urlSelectorStrategyClassName tag

    - #### USER_NAME

          public static final NoTxDataSource.Tag USER_NAME

      userName tag

    - #### PASSWORD

          public static final NoTxDataSource.Tag PASSWORD

      password tag

    - #### SECURITY_DOMAIN

          public static final NoTxDataSource.Tag SECURITY_DOMAIN

      security-domain tag

    - #### SECURITY_DOMAIN_AND_APPLICATION

          public static final NoTxDataSource.Tag SECURITY_DOMAIN_AND_APPLICATION

      security-domain-and-application tag

    - #### MIN_POOL_SIZE

          public static final NoTxDataSource.Tag MIN_POOL_SIZE

      min-pool-size tag

    - #### MAX_POOL_SIZE

          public static final NoTxDataSource.Tag MAX_POOL_SIZE

      maxPoolSize tag

    - #### BLOCKING_TIMEOUT_MILLIS

          public static final NoTxDataSource.Tag BLOCKING_TIMEOUT_MILLIS

      blockingTimeoutMillis tag

    - #### BACKGROUND_VALIDATION

          public static final NoTxDataSource.Tag BACKGROUND_VALIDATION

      backgroundValidation tag

    - #### BACKGROUND_VALIDATION_MILLIS

          public static final NoTxDataSource.Tag BACKGROUND_VALIDATION_MILLIS

      backgroundValidationMillis tag

    - #### IDLE_TIMEOUT_MINUTES

          public static final NoTxDataSource.Tag IDLE_TIMEOUT_MINUTES

      idleTimeoutMinutes tag

    - #### ALLOCATION_RETRY

          public static final NoTxDataSource.Tag ALLOCATION_RETRY

      allocationRetry tag

    - #### ALLOCATION_RETRY_WAIT_MILLIS

          public static final NoTxDataSource.Tag ALLOCATION_RETRY_WAIT_MILLIS

      allocationRetryWaitMillis tag

    - #### VALIDATE_ON_MATCH

          public static final NoTxDataSource.Tag VALIDATE_ON_MATCH

      validateOnMatch tag

    - #### NEW_CONNECTION_SQL

          public static final NoTxDataSource.Tag NEW_CONNECTION_SQL

      newConnectionSql tag

    - #### CHECK_VALID_CONNECTION_SQL

          public static final NoTxDataSource.Tag CHECK_VALID_CONNECTION_SQL

      checkValidConnectionSql tag

    - #### VALID_CONNECTION_CHECKER

          public static final NoTxDataSource.Tag VALID_CONNECTION_CHECKER

      validConnectionCheckerClassName tag

    - #### EXCEPTION_SORTER

          public static final NoTxDataSource.Tag EXCEPTION_SORTER

      exceptionSorterClassName tag

    - #### STALE_CONNECTION_CHECKER

          public static final NoTxDataSource.Tag STALE_CONNECTION_CHECKER

      staleConnectionCheckerClassName tag

    - #### TRACK_STATEMENTS

          public static final NoTxDataSource.Tag TRACK_STATEMENTS

      trackStatements tag

    - #### PREFILL

          public static final NoTxDataSource.Tag PREFILL

      prefill tag

    - #### USE_FAST_FAIL

          public static final NoTxDataSource.Tag USE_FAST_FAIL

      useFastFail tag

    - #### PREPARED_STATEMENT_CACHE_SIZE

          public static final NoTxDataSource.Tag PREPARED_STATEMENT_CACHE_SIZE

      preparedStatementCacheSize tag

    - #### SHARE_PREPARED_STATEMENTS

          public static final NoTxDataSource.Tag SHARE_PREPARED_STATEMENTS

      sharePreparedStatements tag

    - #### SET_TX_QUERY_TIMEOUT

          public static final NoTxDataSource.Tag SET_TX_QUERY_TIMEOUT

      setTxQueryTimeout tag

    - #### QUERY_TIMEOUT

          public static final NoTxDataSource.Tag QUERY_TIMEOUT

      queryTimeout tag

    - #### USE_TRY_LOCK

          public static final NoTxDataSource.Tag USE_TRY_LOCK

      useTryLock tag

  - ### Method Detail

    - #### values

          public static NoTxDataSource.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NoTxDataSource.Tag c : NoTxDataSource.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NoTxDataSource.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<NoTxDataSource.Tag>`

    - #### forName

          public static NoTxDataSource.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)